View Issue Details

IDProjectCategoryView StatusLast Update
0005040Kali Linux[All Projects] Kali Package Bugpublic2018-10-11 11:39
ReportertimldAssigned Torhertzog 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionnot fixable 
Product Version2018.3 
Target VersionFixed in Version 
Summary0005040: Kali linux upgrading error.
Descriptionsudo apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  ayatana-indicator-application ayatana-indicator-common cryptsetup
  cryptsetup-bin gdal-data geoip-database-extra gir1.2-mutter-1
  gir1.2-mutter-2 gnome-dictionary gnome-themes-standard libaec0
  libappindicator1 libarmadillo8 libarpack2 libasan2 libatk1.0-0:i386
  libavahi-compat-libdnssd1 libavcodec57:i386 libavresample3:i386
  libavutil55:i386 libcharls1 libck-connector0 libcryptui0a libdap25
  libdapclient6v5 libdapserver7v5 libdbusmenu-gtk4 libedata-cal-1.2-28
  libepsilon1 libfabric1 libfile-copy-recursive-perl libfolks-telepathy25
  libfreexl1 libfyba0 libgcab-1.0-0 libgcc-5-dev libgconfmm-2.6-1v5
  libgcr-3-common libgdal20 libgdcm2.8 libgeos-3.6.2 libgeos-c1v5 libgeotiff2
  libgl2ps1.4 libglademm-2.4-1v5 libhdf4-0-alt libhdf5-100 libhdf5-openmpi-100
  libhfstospell9 libhttp-server-simple-perl libibverbs1 libindicator7
  libjs-openlayers libk5crypto3:i386 libkeyutils1:i386 libkf5dbusaddons-bin
  libkf5iconthemes-bin libkmlbase1 libkmlconvenience1 libkmldom1 libkmlengine1
  libkmlregionator1 libkmlxsd1 libkrb5support0:i386 liblept5 liblivemedia62
  libllvm5.0:i386 libllvm5.0 libminizip1 libmozjs185-1.0 libmpx0 libmutter-1-0
  libmutter-2-0 libncursesw5:i386 libnetcdf-c++4 libnetcdf13
  libnghttp2-14:i386 libogdi3.2 libopencv-calib3d3.2 libopencv-contrib3.2
  libopencv-core3.2 libopencv-features2d3.2 libopencv-flann3.2
  libopencv-highgui3.2 libopencv-imgcodecs3.2 libopencv-imgproc3.2
  libopencv-ml3.2 libopencv-objdetect3.2 libopencv-photo3.2 libopencv-shape3.2
  libopencv-stitching3.2 libopencv-superres3.2 libopencv-video3.2
  libopencv-videoio3.2 libopencv-videostab3.2 libopencv-viz3.2 libopenmpi2
  libplacebo3 libplacebo4 libprocps6 libproj12 libpsl5:i386 libpsm-infinipath1
  libqhull7 librdmacm1 libsndio6.1:i386 libsocket++1 libspatialite7
  libssh2-1:i386 libssl1.0.2:i386 libstdc++-5-dev libsuperlu5
  libswresample2:i386 libsz2 libtbb2 libtesseract4 liburiparser1 libvoikko1
  libvpx4 libvpx4:i386 libvtk6.3 libwww-mechanize-perl libx264-152:i386
  libx265-146:i386 libxerces-c3.2 libxfont1 proj-data python-imaging
  python-pycryptodome python-unicodecsv python3-capstone python3-future
  python3-pefile ruby2.3 seahorse-daemon sonnet-plugins
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  gimp gimp-data libavformat58 libept1.5.0 libgegl-0.4-0 libgegl-common
  libgimp2.0 libheif1 libkf5auth-data libkf5bookmarks-data libkf5codecs-data
  libkf5completion-data libkf5config-data libkf5configwidgets-data
  libkf5coreaddons-data libkf5dbusaddons-data libkf5globalaccel-data
  libkf5i18n-data libkf5iconthemes-data libkf5jobwidgets-data
  libkf5notifications-data libkf5parts-data libkf5pty-data libkf5service-data
  libkf5solid5-data libkf5sonnet5-data libkf5widgetsaddons-data
  libkf5windowsystem-data libkf5xmlgui-data libkpathsea6 liblivemedia64
  libmypaint-1.3-0 libmypaint-common libnfs11 libplacebo5 libpostproc55
  libptexenc1 libpython-all-dev libpython-dev libpython2-dev libqt5core5a
  libqt5test5 libqt5texttospeech5 libraw19 libspatialaudio0 libsvn1
  libswscale5 libsynctex2 libtexlua52 libtexlua53 libtexluajit2 libutf8proc2
  libvlc-bin libvlc5 libxxhash0 mercurial mercurial-common python python-pyqt5
  python2 python2-dev subversion texlive-base texlive-binaries
  texlive-extra-utils texlive-font-utils texlive-generic-recommended
  texlive-latex-base texlive-latex-base-doc texlive-latex-extra
  texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
  texlive-plain-generic texlive-pstricks texlive-pstricks-doc vlc-bin vlc-data
  vlc-plugin-base
Suggested packages:
  gimp-help-en | gimp-help gimp-data-extras kdiff3 | kdiff3-qt | kompare
  | meld | tkcvs | mgdiff qct python-doc python-pyqt5-dbg python2-doc
  db5.3-util libapache2-mod-svn subversion-tools chktex dvidvi dvipng
  fragmaster lacheck latexdiff latexmk purifyeps xindy icc-profiles
  libspreadsheet-parseexcel-perl dot2tex prerex ruby-tcltk | libtcltk-ruby
  vprerex libdvdcss2
Recommended packages:
  qttranslations5-l10n texlive-fonts-recommended
The following NEW packages will be installed:
  libavformat58 libept1.5.0 libgegl-0.4-0 libgegl-common libheif1
  liblivemedia64 libmypaint-1.3-0 libmypaint-common libnfs11 libplacebo5
  libpostproc55 libpython2-dev libqt5texttospeech5 libraw19 libspatialaudio0
  libswscale5 libsynctex2 libtexlua53 libutf8proc2 libxxhash0 python python2
  python2-dev
The following packages will be upgraded:
  gimp gimp-data libgimp2.0 libkf5auth-data libkf5bookmarks-data
  libkf5codecs-data libkf5completion-data libkf5config-data
  libkf5configwidgets-data libkf5coreaddons-data libkf5dbusaddons-data
  libkf5globalaccel-data libkf5i18n-data libkf5iconthemes-data
  libkf5jobwidgets-data libkf5notifications-data libkf5parts-data
  libkf5pty-data libkf5service-data libkf5solid5-data libkf5sonnet5-data
  libkf5widgetsaddons-data libkf5windowsystem-data libkf5xmlgui-data
  libkpathsea6 libptexenc1 libpython-all-dev libpython-dev libqt5core5a
  libqt5test5 libsvn1 libtexlua52 libtexluajit2 libvlc-bin libvlc5 mercurial
  mercurial-common python-pyqt5 subversion texlive-base texlive-binaries
  texlive-extra-utils texlive-font-utils texlive-generic-recommended
  texlive-latex-base texlive-latex-base-doc texlive-latex-extra
  texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
  texlive-plain-generic texlive-pstricks texlive-pstricks-doc vlc-bin vlc-data
  vlc-plugin-base
58 upgraded, 23 newly installed, 0 to remove and 526 not upgraded.
207 not fully installed or removed.
Need to get 0 B/1,017 MB of archives.
After this operation, 129 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Reading changelogs... Done
Extracting templates from packages: 100%
Preconfiguring packages ...
Setting up python2.7-minimal (2.7.15-4) ...
Linking and byte-compiling packages for runtime python2.7...
python or pycentral not found in pycentral.rtinstall hook.
dpkg: error processing package python2.7-minimal (--configure):
 installed python2.7-minimal package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of python2-minimal:
 python2-minimal depends on python2.7-minimal (>= 2.7.15-1~); however:
  Package python2.7-minimal is not configured yet.

dpkg: error processing package python2-minimal (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python2.7-minimal
 python2-minimal
E: Sub-process /usr/bin/dpkg returned an error code (1)

Activities

sbrun

2018-10-11 09:10

manager   ~0009809

We don't reproduce this issue.
You have "207 not fully installed or removed" packages
You should try: dpkg --configure -a
And then update your system.

timld

2018-10-11 10:59

reporter   ~0009810

yes I know but may somebody can help me.
After command "dpkg --configure -a" I got

root@daveantivirus:~# sudo dpkg --configure -a
dpkg: dependency problems prevent configuration of libqt5qml5:amd64:
 libqt5qml5:amd64 depends on libqt5core5a (>= 5.11.0~rc1); however:
  Version of libqt5core5a:amd64 on system is 5.9.2+dfsg-10.
 libqt5qml5:amd64 depends on qtbase-abi-5-11-0; however:
  Package qtbase-abi-5-11-0 is not installed.
.............
vlc-plugin-video-output:amd64
 libqt5xmlpatterns5:amd64
 libkf5sonnetcore5:amd64
Processing was halted because there were too many errors.


Have you idea?

rhertzog

2018-10-11 11:39

administrator   ~0009811

You don't get that many issues just by upgrading a system. You must have done something wrong at some point but your bug report is not giving any details about what you did to get you in this situation.

If you are just interested in getting your system fixed, please get help on forums or IRC. Thank you.

Issue History

Date Modified Username Field Change
2018-10-10 19:34 timld New Issue
2018-10-11 09:10 sbrun Status new => feedback
2018-10-11 09:10 sbrun Note Added: 0009809
2018-10-11 10:59 timld Note Added: 0009810
2018-10-11 10:59 timld Status feedback => new
2018-10-11 11:39 rhertzog Assigned To => rhertzog
2018-10-11 11:39 rhertzog Status new => closed
2018-10-11 11:39 rhertzog Resolution open => not fixable
2018-10-11 11:39 rhertzog Note Added: 0009811